--  Copyright (2008-2014) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

with Ada.Text_IO;

with Ada.Exceptions;

with Ada.Command_Line;

with Interfaces.C.Strings;

with System;

with Commands;

procedure Nomotime is

   Actions : constant Commands.Command_Callback := (1 => Commands.Command'Access);

begin
   Commands.Test (Actions, Integer'Value(Ada.Command_Line.Argument(1)));
exception
   when Error : others =>
      Ada.Text_Io.Put_Line (Ada.Exceptions.Exception_Information (Error));
end Nomotime;
